% plot density map for control parameters of infant and adult vocalizations

load('vocal_control_params')

figure(6)

subplot(1,2,1)
N = ndhist(controlparam.infant.vfl,controlparam.infant.p,'filter',45,'axis',[0,0.5,0,5.5]);
axis xy
ylabel('Pressure (kPa)')
xlabel('Vocal fold lengthening')

subplot(1,2,2)
N = ndhist(controlparam.adult.vfl,controlparam.adult.p,'filter',45,'axis',[0,0.5,0,5.5]);
axis xy
ylabel('Pressure (kPa)')
xlabel('Vocal fold lengthening')
colormap(hot)

set(gcf,'position',[-1000,100,1000,400])

figure(7)
subplot(1,2,1)

delta = controlparam.infant.p_angle - controlparam.infant.vfl_angle;

pts = 0:0.001:2*pi;
circ_out = circ_ksdensity(delta(~isnan(delta)),pts);
polarplot(pts,circ_out)

subplot(1,2,2)

delta = controlparam.adult.p_angle - controlparam.adult.vfl_angle;

pts = 0:0.01:2*pi;
circ_out = circ_ksdensity(delta(~isnan(delta)),pts);
polarplot(pts,circ_out)

set(gcf,'position',[-1000,100,1000,400])

figure(8)
pts = 0:0.01:2*pi;
circ_out = circ_ksdensity(emg_phase,pts);
polarplot(pts,circ_out)
