function [xx2, N_sm] = smoothheatmap(edgeX, edgeY, N)

xx = {edgeX, edgeY};
xx2 = {min(edgeX):0.01:max(edgeX), min(edgeY):0.1:max(edgeY)};
outData = inpaint_nans(N,0);
N_sm = csaps(xx,  outData', 1, xx2);
N_sm = N_sm';
upedge = zeros(1,size(N,2));
lowedge = zeros(1,size(N,2));
for i = 1:size(N,2)
    nu = find(~isnan(N(:,i)),1) - 1;
    if isempty(nu)
        nu = round(size(N,1)/2);
    end
    if nu == 0
        upedge(i) = edgeY(end) + edgeY(2) - edgeY(1);
    else
        upedge(i) = edgeY(end+1-nu);
    end
    
    nu = find(~isnan(N(:,i)));
    if isempty(nu)
        nu = round(size(N,1)/2) + 1;
    else
        nu = nu(end) + 1;
    end
    if nu > size(N,1)
        lowedge(i) = edgeY(1) - (edgeY(2) - edgeY(1));
    else
        lowedge(i) = edgeY(end+1-nu);
    end
end

upedge_sm = csaps(xx{1}, upedge, 1, xx2{1});
lowedge_sm = csaps(xx{1}, lowedge, 1, xx2{1});

for i = 1:size(N_sm,2)
    flg1 = find(fliplr(xx2{2}) >= upedge_sm(i) | fliplr(xx2{2}) <= lowedge_sm(i));
    N_sm(flg1,i) = NaN;
end